# -*- coding: utf-8 -*-

import sys

from photon import _app as application
import views

if __name__ == '__main__':
	def dropdb():
		from shared import DatabaseUtils
		print("Dropping database schema")
		DatabaseUtils.drop_database_schema()
		print("Database schema dropped successfully")

	def createdb():
		from shared import DatabaseUtils
		print("Creating database schema")
		DatabaseUtils.create_database_schema()
		print("Database schema created successfully")

	if len(sys.argv) == 2:
		if sys.argv[1] == 'dropdb':
			application.test_request_context().push()
			dropdb();
			sys.exit(0)
		elif sys.argv[1] == 'createdb':
			application.test_request_context().push()
			dropdb()
			createdb()
			sys.exit(0)

	application.run(host='0.0.0.0', port=5000, debug=True)
