;(function(window, document, undefined) {
	'use strict';

	(function notifications() {
		var closeButtons = document.querySelectorAll('.notification-close');
		
		Array.prototype.forEach.call(closeButtons, function(button) {
			button.addEventListener('click', function(e) {
				e && e.preventDefault() && e.stopPropagation();
				var wrapper = button.closest('.custom-notifications');
				wrapper && (wrapper.style.display = 'none');
			});
		});
	})();

})(window, document);
